<?php

namespace Bixo\Faq\Repositories\Eloquent;

use Bixo\Faq\Interfaces\CategoriesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CategoriesRepository extends BaseRepository implements CategoriesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.faq.categories.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.faq.categories.model.model');
    }
}
